解决 Xshell|Xftp 强制升级


今天打开xshell,发现不让用了,提示:要继续使用此程序,您必须应用最新的更新或使用新版本,强制要求升级

解决方法是反编译文件,修改其中某个16进制

1. 找到安装目录的 `nslicense.dll`文件复制出来
2. 下载c32asm
3. 用c32asm以16进制形式打开nslicense.dll
4. xshll5搜索16进制: 7F0C81F98033E1010F8680;xshell6搜索16进制: 7F0C81F98033E1010F8681
5. xshll5替换成: 7F0C81F98033E1010F8380;xshell6替换成: 7F0C81F98033E1010F8381
6. 也就是将最后两位86替换成83 然后保存,并替换文件
7. 如果搜不到7F0C81F98033E1010F8680 可以缩短几位进行搜索 比如搜索7F0C81F98033E101试试看

声明:Wayen|版权所有,违者必究|如未注明,均为原创|本网站采用BY-NC-SA协议进行授权

转载:转载请注明原文链接 - 解决 Xshell|Xftp 强制升级


-当你感到最无助困难的时候,那就是离成功最近的时候。-Martin Frohm